package org.springblade.party.feign;

import org.springblade.party.entity.News;
import org.springblade.party.vo.NewsVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class NewsClientFallback implements INewsClient {
            /**
         * 详情
         */
        @Override
        public NewsVO detail(News news) {
            return null;
        }

        /**
         * 查询 党内咨询列表表
         */
        @Override
        public List<NewsVO> list(News news) {
            return null;
        }



        /**
         * 新增 党内咨询列表表
         */
        @Override
        public boolean save( News news) {
            return false;
        }

        /**
         * 修改 党内咨询列表表
         */
        @Override
        public boolean update( News news) {
            return false;
        }

        /**
         * 新增或修改 党内咨询列表表
         */
        @Override
        public boolean submit( News news) {
            return false;
        }


        /**
         * 删除 党内咨询列表表
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
